<app-top-toolbar *ngIf="controller.toolbarActive" (toolbarEvent)="topToolbarEvent($event)" [toolbarInfo]="controller.toolbarInfo" [newColor]="controller.selectedColor"></app-top-toolbar>
<div #rowContainer class="row c-row">
  <div #canvasContainer class="c-canvas-container">
    <app-img-view *ngIf="controller.imgViewActive" [cursor]="controller.cursor" [newSize]="controller.imgSize" [newImg]="controller.image" (eventTrigger)="eventHandlerImg($event)"></app-img-view>
    <app-src-view *ngIf="controller.srcViewActive" [newSize]="controller.srcSize" [newImg]="controller.image" (eventTrigger)="eventHandlerSrc($event)"></app-src-view>
  </div>
</div>
<app-overlay-new *ngIf="controller.showOverlay" (newEvent)="controller.createNew($event)"></app-overlay-new>
<div *ngIf="controller.showColorPicker" [ngStyle]="controller.colorPickerStyle">
  <app-color-picker [setColor]="controller.setColor" [pickerStyle]="controller.pickerStyle" (close)="colorPickerClose($event)" (newColor)="newColor($event)"></app-color-picker>
</div>
